Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary:	GNOME media programs.
Name:		gnome-media
Version:	2.28.1
Release:	1
BuildArch:	i686
License:	GNU/GPL
Group:		Multimedia/Audio
URL:		http://www.gnome.org
Source:		ftp://ftp.gnome.org/pub/GNOME/sources/gnome-media/2.11/gnome-media-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{PACKAGE_VERSION}-root

Requires:       scrollkeeper
#Automatically resolved build dependencies
BuildRequires: alsa-lib-devel
BuildRequires: atk-devel
BuildRequires: audiofile-devel
BuildRequires: avahi-devel
BuildRequires: cairo-devel
BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: esound-libs-devel
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: GConf-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gnome-keyring-devel
BuildRequires: gnome-vfs-devel
BuildRequires: gst-plugins-base-devel
BuildRequires: gstreamer10-devel
BuildRequires: gtk2+-devel
BuildRequires: libart_lgpl-devel
BuildRequires: libbonobo-devel
BuildRequires: libbonoboui-devel
BuildRequires: libcanberra-devel
BuildRequires: libcanberra-gtk2
BuildRequires: libglade-devel
BuildRequires: libgnomecanvas-devel
BuildRequires: libgnome-devel
BuildRequires: libgnomeui-devel
BuildRequires: libICE-devel
BuildRequires: libogg-devel
BuildRequires: libpng-devel
BuildRequires: libSM-devel
BuildRequires: libstdc++-devel
BuildRequires: libunique-devel
BuildRequires: libvorbis-devel
BuildRequires: libX11-devel
BuildRequires: libxcb-devel
BuildRequires: libXcomposite-devel
BuildRequires: libXcursor-devel
BuildRequires: libXdamage-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXi-devel
BuildRequires: libXinerama-devel
BuildRequires: libxml2-devel
BuildRequires: libXrandr-devel
BuildRequires: libXrender-devel
BuildRequires: openssl-devel
BuildRequires: ORBit2-devel
BuildRequires: pango-devel
BuildRequires: pixman-devel
BuildRequires: popt-devel
BuildRequires: pulseaudio-libs-devel
BuildRequires: pulseaudio-libs-glib2
BuildRequires: xcb-util-devel
BuildRequires: zlib-devel gnome-doc-utils which desktop-file-utils

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System. The gnome-media package will
install Sound Recorder, VolumeControl and Multimedia Systems Selector.

%package	devel
Summary:	Libraries/include files for GNOME media programs
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libgnome-devel
Requires:	libglade-devel
Requires:	gtk2+-devel
Requires:	GConf-devel
Requires:	pkg-config

%description	devel
GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System. The gnome-media package will
install media features like the GNOME CD player.

This package contains the libraries and includes files necessary to 
develop GNOME media applications.

%post
scrollkeeper-update -q -o %{_datadir}/omf/%{name} || :
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
    %{_sysconfdir}/gconf/schemas/gnome-audio-profiles.schemas \
    %{_sysconfdir}/gconf/schemas/gnome-sound-recorder.schemas \
    > /dev/null || :
/sbin/ldconfig

%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  if [ -f %{_sysconfdir}/gconf/schemas/gnome-cd.schemas ] ; then
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/gnome-cd.schemas \
      %{_sysconfdir}/gconf/schemas/CDDB-Slave2.schemas \
      > /dev/null || :
  fi
  if [ -f %{_sysconfdir}/gconf/schemas/gnome-sound-recorder.schemas ] ; then
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/gnome-sound-recorder.schemas \
      > /dev/null || :
  fi
  gconftool-2 --makefile-uninstall-rule \
    %{_sysconfdir}/gconf/schemas/gnome-audio-profiles.schemas \
    %{_sysconfdir}/gconf/schemas/gnome-sound-recorder.schemas \
    > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  if [ -f %{_sysconfdir}/gconf/schemas/gnome-cd.schemas ] ; then
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/gnome-cd.schemas \
      %{_sysconfdir}/gconf/schemas/CDDB-Slave2.schemas \
      > /dev/null || :
  fi
  if [ -f %{_sysconfdir}/gconf/schemas/gnome-sound-recorder.schemas ] ; then
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/gnome-sound-recorder.schemas \
      > /dev/null || :
  fi
  gconftool-2 --makefile-uninstall-rule \
    %{_sysconfdir}/gconf/schemas/gnome-audio-profiles.schemas \
    > /dev/null || :
fi

%postun
scrollkeeper-update -q || :
/sbin/ldconfig

%prep
%setup -q
#%patch5 -p1 -b .hide-help-button

%build
/usr/bin/gst-inspect-0.10 --print-all > /dev/null
%configure \
--disable-schemas-install \
--enable-gnomecd=no \
--enable-cddbslave=no \
--disable-scrollkeeper
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

## only show in GNOME
desktop-file-install --vendor gnome --delete-original       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --add-only-show-in GNOME                                  \
  $RPM_BUILD_ROOT%{_datadir}/applications/gnome-volume-control.desktop

# show in all
desktop-file-install --vendor gnome --delete-original       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  $RPM_BUILD_ROOT%{_datadir}/applications/gnome-sound-recorder.desktop

desktop-file-install --vendor "" --delete-original          \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  $RPM_BUILD_ROOT%{_datadir}/applications/gstreamer-properties.desktop

rm -f $RPM_BUILD_ROOT%{_datadir}/applications/vumeter.desktop
rm -f $RPM_BUILD_ROOT%{_datadir}/applications/reclevel.desktop
rm -f $RPM_BUILD_ROOT%{_bindir}/vumeter

rm -rf $RPM_BUILD_ROOT/var/scrollkeeper

%define gettext_package gnome-media-2.0
%find_lang %{gettext_package} --all-name --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{gettext_package}.lang
%defattr(-, root, root)

%doc AUTHORS COPYING NEWS README
%config %{_sysconfdir}/gconf/schemas
%_sysconfdir/xdg
%_applications
%_datadir/icons
%_datadir/sounds
%_datadir/gnome-media
%_datadir/gstreamer-properties
%_datadir/gnome-sound-recorder
%_libdir/*.so.*
%_libdir/libglade/2.0/*.so
%_bindir

%files devel
%defattr(-, root, root)
%_includedir
%_libdir/*.so
%_pkgconfig
%_libdir/lib*.*a
%_libdir/libglade/2.0/lib*.*a

%changelog
* Mon Nov 23 2009 Christian Metzen <metzench@ccux-linux.de> 2.28.1-1
- Version update
* Fri Apr 03 2009 Christian Wasem <wasem@ccux-linux.de> 2.26.0-1
- Version update
* Sun Jan 11 2009 Christian Metzen <metzench@ccux-linux.de> 2.24.0.1-1
- Version update
* Tue Mar 25 2008 Christian Wasem <wasem@ccux-linux.de> 2.22.0-2
- changed package group to Multimedia/Audio
* Thu Mar 13 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.0-1
- Version update
* Mon Oct 15 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.1-2
- bugfix schema install
* Fri Sep 28 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.1-1
- Version update
* Thu Mar 22 2007 Christian Metzen <metzench@ccux-linux.de> 2.18.0-1
- Version update
* Fri Nov 10 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.1-3
- clean buildchain
* Tue Nov 07 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.1-2
- rebuild, moved libexec
* Tue Nov 07 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.1-1
- Initial release, temp disable gst-plugins-base